Bug 169321 - Proxy makes KDED eat babies
Proxy makes KDED eat babies
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-26 19:33 EDT by Alexei Podtelezhnikov
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: kdelibs-3.5.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 16:26:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 152477 None None None Never

  None (edit)
Description Alexei Podtelezhnikov 2005-09-26 19:33:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
Prolog:  
  
 I used to browse FTP sites with konqueror, make multiple selections there, 
drug-n-drop them into console's "wget -N" (because I care about timestamps). I 
enjoyed it - selecting with mouse or shift-arrows worked fast-n-smooth.  
  
Main story:  
  
 Recently I enabled proxy via proxy configuration URL. Selecting just a few 
items on any FTP site takes pretty much forever. It's basically unusable. So I 
fired up top to see who eats CPU - it was kded. It is actually spectacular to 
see how it struggles while I drag the mouse over the filenames trying to 
select. Interestingly, proxy was probably not even used, because I was never 
authenticated.  
  
 Epilog:  
  
 I turned off proxy option. Just like that (no need to restart) I enjoy my 
life again, but I kinda need my proxy. 

Version-Release number of selected component (if applicable):
kdelibs-3.4.2-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1. choose "proxy configuration URL" 
2. pint konqueror to an FTP site 
3. try selecting files with mouse or arrows 
4. suffer from slow CPU eaten up by kded 
5. unchoose "proxy configuration URL" 
6. enjoy fast selecting 
   

Additional info:
Comment 1 Ngo Than 2006-07-14 19:57:15 EDT
there's new KDE-3.5.3 in FC4-update which should fix this problem. You should 
update to new version. Thanks for your report,
Comment 2 Alexei Podtelezhnikov 2006-07-24 16:00:02 EDT
still very noticably slower inder 3.5.3 .. practically stalling ...
The larger the number of files on ftp://somewhere, the slower the selection.
I don't see how enabling proxy in konqueror settings may possibly affect
selection of files for drag-ndrop, but it does, and very severely too.

REOPENING
Comment 3 Christian Iseli 2007-01-22 06:35:44 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Rex Dieter 2007-11-14 11:07:33 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "CURRENTRELEASE", however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.
Comment 5 Alexei Podtelezhnikov 2007-11-16 12:51:29 EST
Ok. I see this behavior again in Fedora 8 (so the issue is not resolved).
I am reopening the bug. I don't use proxies now, so the urgency is very low, 
but the bug is fascinating to me. How is it possible that using a mouse to 
select a few hundred files on a remote FTP server is so much slower over proxy 
connection? If connected directly, it is blasing fast as if I am selecting 
from my home directory. 

Why PROXY matters for file selection? 
Comment 6 Alexei Podtelezhnikov 2007-11-17 13:06:27 EST
Please vote for this bug upstream!
http://bugs.kde.org/show_bug.cgi?id=152477

Comment 7 Rex Dieter 2007-11-17 16:26:06 EST
Thanks for the upstream report, we'll continue to track it there.

Note You need to log in before you can comment on or make changes to this bug.